PreviewUnstake Response Enhancements
We are adding new fields to the PreviewUnstake endpoint response to provide more detailed information about unstaking operations, including wallet details, timestamps, and per-validator unstaking estimates. The following fields will be added to thePreviewUnstakeResponse:
wallet_id- the wallet identifierwallet_address- the wallet addresscurrent_timestamp- the current timestampvalidators[]- an array of validator details, each containing:validator_address- the validator addressestimated_unstaking_amount- the estimated amount being unstakedunstake_time_estimate_in_hours- estimated time to unstake in hoursestimated_unstake_date- estimated date of unstake completion
Get Staking Status Endpoint
This change will be available in January 2026 We are introducing a new endpoint to retrieve the status of ongoing staking operations for an Ethereum wallet. Prime Rest API:- Get Staking Status:
GET /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/staking/status- retrieve status of all active staking requests
Get Unstaking Status Endpoint
This change will be available in late October to early November 2025 We are introducing a new endpoint to retrieve the status of ongoing unstaking operations for an Ethereum wallet. Prime Rest API:- Get Unstaking Status:
GET /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/staking/unstake/status- retrieve status of all active unstaking requests
Prime Multinetwork Support
We’re expanding network support to make capital movement faster, cheaper, and easier:- ETH on Base and USDC on Base, Solana, Arbitrum, Optimism, and Avalanche C-Chain can now be transferred efficiently and at no cost within your trading balance on the Prime UI.
- API support will be available starting November 3rd.
symbol to represent assets on different blockchains. This will be available to users as “network_scoped_symbol” in the List Entity Assets endpoint for each individual network supported for an asset.
Example:
- If a user wants to represent USDC on the Base network, they will use the
"network_scoped_symbol"BASEUSDC. - When a user calls the ListEntityAssets endpoint for USDC, the response will include a unique
“network_scoped_symbol” for USDC on each supported network, such as BASEUSDC for Base, OPTUSDC for Optimism, and so on.
“network_scoped_symbol” to get asset details specific to each network. Users can also add a new query parameter to see combined information for an asset across all supported networks denoted as:
“get_network_unified_transactions””get_network_unified_wallets”“get_network_unified_activites”“unified_total_balances”
-
List Portfolio Transactions
- Users can enter a
“network_scoped_symbol”in the ‘symbols’ query parameter to get transactions for an asset on a specific network - Users can enter optional
“get_network_unified_transactions”as a boolean query parameter to get transactions across all networks
- Users can enter a
-
List Entity Activities
- Users can enter
“network_scoped_symbol”in the ‘symbols’ query parameter to view activities for an asset on a specific network - Users can enter
“get_network_unified_activities”as a boolean query parameter to get activities across all networks
- Users can enter
-
List Portfolio Activities
- Users can enter
“network_scoped_symbol”in the ‘symbols’ query parameter to view portfolio activities for an asset on a specific network - Users can enter
“get_network_unified_activities”as a boolean query parameter to get activities across all networks
- Users can enter
Financing API Enhancements
This change will be published in late October to early November 2025 We are implementing changes to an existing endpoint and adding two new endpoints to enhance the API experience for users of the Trade Finance and Bilateral Lending products.List TF Obligations Endpoint
This new endpoint returns all open trade finance obligations.List Financing Eligible Assets Endpoint
This new endpoint returns all financing eligible assets and their associated trade finance credit utilization parameters.List Interest Accruals Endpoint
This endpoint will now additionally include interest accruals for Bilateral Lending (in addition to Trade Finance and Portfolio Margin, as currently implemented)User generated IDs maximum length requirement
Update: This will be live mid-October 2025 A maximum length requirement of 128 characters will be enforced for client generated IDs. Invalid argument errors will be raised if the IDs are longer than this limit. The affected fields currently are:- Create Portfolio Allocations: allocation_id, allocation_leg_id
- Create Portfolio Net Allocations: allocation_leg_id, netting_id
- Accept Quote: client_order_id
- Create Order: client_order_id
- Create Quote Request: client_quote_id
FIX Market Data
Update: This will be live in Q3 We will be adding level 2 market data on FIX 5.0 for Prime Trading Spot instruments. This includes OHLCV (Open, High, Low, Close, Volume), bids and offers, and trade history data. This will require a dedicated API key with READ permissions. Logon messages must conform to FIXT 1.1, for example:
Prime FIX API:
- Server will support a new message type sent by the client: MarketDataRequest <V>
- Server will send a new message type: MarketDataRequestReject <Y>
- Server will send a new message type: MarketDataSnapshotFullRefresh <W>
- Server will send a new message type: MarketDataIncrementalRefresh <X>
- Server will send a new message type: SecurityStatus <f>
MarketDataRequest (V)
Sent by the client when placing a market data requestMarketDataRequestReject (Y)
Sent by the server in case the MarketDataRequest (V) failsMDReqRejReason
Possible values for MDReqRejReason (see MarketDataRequestReject (Y))MarketDataSnapshotFullRefresh (W)
Sent by the server to view a new stream of market data informationMarketDataIncrementalRefresh (X)
Sent by the server to view updates to an existing streamSecurityStatus (f)
Sent by the server once when an existing stream fails, and once when it reconnectsSettlement Currency
Updating: This will be live in December 2025 We are introducing support for specifying a settlement currency for orders. With this update, clients can access USD trading pairs using USDC positions, enabling them to buy with USDC balances and settle trades directly into USDC positions.REST API Changes
- Updated Create Order with new optional parameter
settl_currency. - Updated Get Order By Order Id with the new field
client_product_id.
Websocket Changes
- The orders channel response will include SettlCurrency to indicate the settlement currency for each order if different from the quote currency.
FIX API Changes
- The following fields will be added to New Order Single (D)
- The following field will be added to Execution Report (8)
FCM Setting Endpoints
This will be live in December 2025 We are introducing new endpoints to manage Futures Commission Merchant (FCM) settings for entity.- Get FCM Settings:
GET /v1/entities/{entity_id}/futures/settings- retrieve current FCM settings for an entity - Update FCM Settings:
POST /v1/entities/{entity_id}/futures/settings- update FCM settings for an entity
Get FCM Equity Endpoint
This change will be available in February 2026 We are introducing a new endpoint to retrieve equity information for Futures Commission Merchant (FCM) accounts. Prime Rest API:- Get FCM Equity:
GET /v1/entities/{entity_id}/futures/equity- retrieve current equity data for an entity’s FCM account
Get Wallet Historical Balances Endpoint
We are introducing a new endpoint to retrieve historical balance information for a specific wallet. Prime Rest API:- Get Wallet Historical Balances:
GET /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/historical_balances- retrieve balance for a wallet at a point in time.
Response: